This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 4745 - `init.d/nfs reload` is broken
`init.d/nfs reload` is broken
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-27 09:16 EDT by man
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-27 09:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description man 1999-08-27 09:16:42 EDT
executing an /etc/rc.d/init.d/nfs reload  calls
/usr/sbin/exportfs. this is fine, but the default behavior
for exportfs is just to print the current setup, not to
reload.

to do this, just change the line to be

/usr/sbin/exportfs -r

which syncs the running daemons with the /etc/exports file.

man exportfs for more info
Comment 1 Jeff Johnson 1999-08-27 09:55:59 EDT
This is already fixed in knfsd-1.4.7-1.

Note You need to log in before you can comment on or make changes to this bug.